services:
    _defaults:
        public: true

    prestashop.core.admin.search_parameters:
        class: PrestaShop\PrestaShop\Core\Search\SearchParameters
        arguments: ['@prestashop.core.admin.admin_filter.repository']

    # Controller Argument Resolver
    prestashop.search_parameters.resolver:
        class: 'PrestaShopBundle\Controller\ArgumentResolver\SearchParametersResolver'
        arguments:
          - '@prestashop.core.admin.search_parameters'
          - '@security.token_storage'
          - '@prestashop.core.admin.admin_filter.repository'
          - '@=service("prestashop.adapter.legacy.context").getContext().shop.id'
        tags:
          - { name: controller.argument_value_resolver, priority: 50 }
